
Foreman - Refactor #100

Store Foreman Settings in the database and allow configure it using the WebUI/API

11/30/2009 10:25 AM - Martin Englund

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Provide a mechanism to allow a user to have specific settings associated with them. This will supersede the current SETTINGS hash

and allow overriding on a per user, per-model basis.

The idea is that there is a per_page setting at the system level, a per_page setting at the model level for each user and this should

also allow for saving things like the user's search history and preferences.

Related issues:

Related to Foreman - Bug #1159: Class import behaviour not consistent "rake p... Closed 09/07/2011

Associated revisions

Revision 9c3ffb6b - 12/14/2009 06:00 AM - Ohad Levy

switches global setting var to be a constant var - refs #100

Revision 76607ed5 - 06/29/2011 02:17 PM - Ohad Levy

fixes #100 - Setting is now a ActiveRecord object

This allows users to manage foreman settings via the UI.

the UI is a bit ugly, but works :)

Revision 29eebabc - 07/03/2011 09:30 AM - Ohad Levy

splitted setting default data from the migration

this allows to add new data and modify its defaults

improved settings UI a bit more

refs #100

History

#1 - 12/09/2009 06:16 AM - Ohad Levy

in the meanwhile, I've replaced $settings (global var) with a constant SETTINGS

#2 - 10/03/2010 12:22 PM - Ohad Levy

- Assignee changed from Martin Englund to Paul Kelly

As I know you already started some work on it, I'm reassigning it to you :)

#3 - 04/04/2011 03:17 AM - Paul Kelly

- Subject changed from Turn $settings into a Ruby object to Provide a persistent user-specific settings object

#4 - 06/29/2011 04:24 PM - Ohad Levy

- Status changed from Assigned to Closed

- % Done changed from 0 to 100
Applied in changeset 76607ed5fc692646c4b31791eea9c71a903e8f17.

#5 - 06/30/2011 02:28 AM - Ohad Levy

- Subject changed from Provide a persistent user-specific settings object to Store Foreman Settings in the database and allow configure it using the

WebUI/API

- Assignee changed from Paul Kelly to Ohad Levy

- Target version set to 0.4

Powered by TCPDF (www.tcpdf.org)

05/05/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/76607ed5fc692646c4b31791eea9c71a903e8f17
http://www.tcpdf.org

